﻿using System;

namespace Core
{
  public class OfflineControlPort : ControlPort
  {
    public override void WriteData(string data)
    {
      this.Data = data;
      System.Threading.Thread.Sleep(125);
    }

    public override void SetMPState(MemoryProtect mp)
    {
      this.MemoryProtect = mp;
    }

    public override void SetCPUMode(CPUMode mode)
    {
      this.CPUMode = mode;
    }

    public override void SetINPState(InputState state)
    {
      this.InputState = state;
    }
  }
}
